package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF984Data {

    private Map<String, Object> params;
    
    public MWF984Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsIsin() {
        return (String) params.get("RS_ISIN");
    }

    public String rsNazevisin() {
        return (String) params.get("RS_NAZEVISIN");
    }

    public String rsMena() {
        return (String) params.get("RS_MENA");
    }

    public Double rsPpcojpl() {
        return (Double) params.get("RS_PPCOJPL");
    }

    public Double rsPpcojplczk() {
        return (Double) params.get("RS_PPCOJPLCZK");
    }

    public Double rsObjem() {
        return (Double) params.get("RS_OBJEM");
    }

    public Double rsObjemczk() {
        return (Double) params.get("RS_OBJEMCZK");
    }

    public Double rsZisk() {
        return (Double) params.get("RS_ZISK");
    }

    public Double rsZiskczk() {
        return (Double) params.get("RS_ZISKCZK");
    }

    public Double rsZiskprocento() {
        return (Double) params.get("RS_ZISKPROCENTO");
    } 

}
